GWT 2.7.0

## com.google.gwt.cell.client
Interface IconCellDecorator.Template

All Superinterfaces:
  SafeHtmlTemplates

Enclosing class:
  IconCellDecorator<C>

    static interface IconCellDecorator.Template

extends SafeHtmlTemplates

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.safehtml.client.SafeHtmlTemplates
`SafeHtmlTemplates.Template`

Method Summary
`SafeHtml` | `imageWrapperBottom(SafeStyles styles, SafeHtml image)` The wrapper around the image vertically aligned to the bottom.
`SafeHtml` | `imageWrapperMiddle(SafeStyles styles, SafeHtml image)` The wrapper around the image vertically aligned to the middle.
`SafeHtml` | `imageWrapperTop(SafeStyles styles, SafeHtml image)` The wrapper around the image vertically aligned to the top.
`SafeHtml` | `outerDiv(SafeStyles padding, SafeHtml icon, SafeHtml cellContents)`

Method Detail

### outerDiv

    @SafeHtmlTemplates.Template(value="{1}{2}")
    SafeHtml outerDiv(SafeStyles padding,
                                                      SafeHtml icon,
                                                      SafeHtml cellContents)

### imageWrapperBottom

    @SafeHtmlTemplates.Template(value="{1}")
    SafeHtml imageWrapperBottom(SafeStyles styles,
                                                                SafeHtml image)

  The wrapper around the image vertically aligned to the bottom.

### imageWrapperMiddle

    @SafeHtmlTemplates.Template(value="{1}")
    SafeHtml imageWrapperMiddle(SafeStyles styles,
                                                                SafeHtml image)

  The wrapper around the image vertically aligned to the middle.

### imageWrapperTop

    @SafeHtmlTemplates.Template(value="{1}")
    SafeHtml imageWrapperTop(SafeStyles styles,
                                                             SafeHtml image)

  The wrapper around the image vertically aligned to the top.

GWT 2.7.0